### File

`packages/components/eui-select/eui-select-mutli-option.directive.ts`

### Description

Marks `<option>` as dynamic, so Angular can be notified when options change.

See `EuiSelectMultipleControlValueAccessor`

### Extends

`NgSelectMultipleOption`

### Implements

`OnDestroy`

### Metadata

Selector | `option, option[euiOption]`

### Index

###### Properties

- _value
- id

###### Methods

- _setElementValue
- _setSelected

###### Inputs

- ngValue
- value

###### Accessors

- ngValue
- value

### Constructor

`constructor()`

### Inputs

ngValue
Type : `any`

value
Type : `any`

### Methods

_setElementValue
`_setElementValue(value: string)`

Parameters :

Name | Type | Optional
value | `string` | No

Returns : `void`

_setSelected
`_setSelected(selected: boolean)`

Parameters :

Name | Type | Optional
selected | `boolean` | No

Returns : `void`

### Properties

_value
Type : `any`

id
Type : `string`

### Accessors

ngValue
set `ngValue(value: any)`

Tracks the value bound to the option element. Unlike the value binding, ngValue supports binding to objects.

Parameters :

Name | Type | Optional
value | `any` | No

Returns : `void`

value
set `value(value: any)`

Tracks simple string values bound to the option element. For objects, use the `ngValue` input binding.

Parameters :

Name | Type | Optional
value | `any` | No

Returns : `void`

# results matching ""

# No results matching ""